/***********************************************************
 * $Id$
 *
 * FancyQT6
 *
 * Copyright (C) 2009-2011 ev-i GmbH & IBCL e.U.
 * Copyright (C) 2011-2013 ITEG IT-Engineers GmbH
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 ************************************************************/

#ifndef FANCYQT6EXCEPTION_H_
#define FANCYQT6EXCEPTION_H_

#include <fancyqt6.h>

namespace std { class exception; }

namespace Fancy {

class Exception;
class Throwable;
template<class T> class ObjPtr;

namespace Qt6 {
class InvocationException;

FANCYQT6_API void reportException(const Fancy::ObjPtr<InvocationException> &ie);

FANCYQT6_API void reportException(const Fancy::Exception &e);

FANCYQT6_API void reportException(const std::exception &e);

}}

#endif /* FANCYQT6EXCEPTION_H_ */
